{% extends '_base.html' %}
{% load static %}

{% block css %}
    <link href="https://unpkg.com/dropzone@6.0.0-beta.1/dist/dropzone.css" rel="stylesheet" type="text/css" />
    <style>

    .dz {
        border: dashed !important;
        background-color: #ccc !important;
        border-radius: 0px !important;
    }

    .dz:hover {
        background-color: aliceblue !important;
    }
    </style>
{% endblock css %}


{% block title %}- {{project.name}} {% endblock title %}

{% block breadcrumb %}
<nav aria-label="breadcrumb">
  <ol class="breadcrumb">
    <li class="breadcrumb-item"><a href="{% url 'dashboard' %}">Dashboard</a></li>
    <li class="breadcrumb-item active" aria-current="page">Project</li>
  </ol>
</nav>
{% endblock breadcrumb %}


{% block content %}

  <div class="accordion" id="accordionExample">
    <div class="accordion-item">
      <h2 class="accordion-header">
        <button class="accordion-button" type="button" data-bs-toggle="collapse" data-bs-target="#collapseOne" aria-expanded="true" aria-controls="collapseOne">
          Project Details
        </button>
      </h2>
      <div id="collapseOne" class="accordion-collapse" data-bs-parent="#accordionExample">
        <div class="accordion-body">
          <strong> {{project.name}}</strong>
          <p> {{project.description}} </p>
          <p> Collaborators : {% for c in project.collaborators.all %} {{c}}, {% endfor %} </p>
        </div>
      </div>
    </div>
  </div>

  <ul class="nav nav-tabs" id="myTab" role="tablist">
      <li class="nav-item">
        <button class="nav-link active" id="collection-tab" data-bs-toggle="tab" data-bs-target="#collection-tab-pane" type="button" role="tab" aria-controls="collection-tab-pane" aria-selected="true">Collections</button>
      </li>
      <li class="nav-item">
        <button class="nav-link" id="media-tab" data-bs-toggle="tab" data-bs-target="#media-tab-pane" type="button" role="tab" aria-controls="media-tab-pane" aria-selected="true">Media</button>
      </li>
      <li class="nav-item">
        <button class="nav-link" id="tag-tab" data-bs-toggle="tab" data-bs-target="#tag-tab-pane" type="button" role="tab" aria-controls="tag-tab-pane" aria-selected="true">Tag Management ((In-Progress)</button>
      </li>
      <li class="nav-item">
        <button class="nav-link" id="sense-making-tab" data-bs-toggle="tab" data-bs-target="#sense-making-tab-pane" type="button" role="tab" aria-controls="sense-making-tab-pane" aria-selected="true">Sense Making(In-Progress)</button>
      </li>
      <li class="nav-item">
        <button class="nav-link" id="settings-tab" data-bs-toggle="tab" data-bs-target="#settings-tab-pane" type="button" role="tab" aria-controls="settings-tab-pane" aria-selected="true">Settings(In-Progress)</button>
      </li>
    </ul>
    <div class="tab-content mt-3" id="myTabContent">

      <div class="tab-pane fade show active" id="collection-tab-pane" role="tabpanel" aria-labelledby="collection-tab" tabindex="0">
        <div class="row">

          <div class="card col-3"> 
            <div class="card-body"> 
              <a href="{% url 'create_collection' project_id=project.uuid%}" class="position-right h1"> <i class="fa fa-plus"></i> </a>
            </div>
          </div>
          
          {% for collection in project.collections.all %}
          
            <div class="card col-3">
              <div class="card-header"> <strong> <a href="{% url 'collection_details' project_id=project.uuid collection_id=collection.uuid%}"> {{collection.name}} </a> </strong>  </div>
              <div class="card-body">
                <blockquote class="blockquote mb-0">
                  <p>{{collection.description }}</p>
                </blockquote>
              </div>
              <div class="card-footer"> 
                <a href="{% url 'collection_details' project_id=project.uuid collection_id=collection.uuid%}" class="btn btn-primary btn-block"> View </a>
              </div>
            </div>
          
          {% endfor %}
        </div>
      </div>

      <div class="tab-pane fade" id="media-tab-pane" role="tabpanel" aria-labelledby="media-tab" tabindex="0">

        <div class="row">
          <div class="col-4">
            <h6>Select files to upload</h6>
            <br>
            <form enctype='multipart/form-data' action="{% url 'media_upload' project_id=project.uuid %}" method='POST' class="dropzone dz" id="my-dropzone" >
                {% csrf_token %}
                <div class="fallback">
                  <input name="file" type="file" multiple />
                </div>
            </form>
    
  
          </div>  
          <div class="col-8">
            <table class="table">
              <thead>
                <tr>
                  <th scope="col">#</th>
                  <th scope="col">Name</th>
                  <th scope="col">Size</th>
                  <th scope="col">Type</th>
                  <th scope="col">Uploaded By</th>
                  <th scope="col">Uploaded At</th>
                  <th scope="col"></th>
                </tr>  
              </thead>  
              <tbody>
                {% for media in project.medias.all %}
                  <tr>
                    <th scope="row"> {{forloop.counter}}</th>
                    <td>{{media.orig_name}}</td>
                    <td>{{media.orig_size|filesizeformat}}</td>
                    <td>{{media.file_extension}}</td>
                    <td></td>
                    <td>{{media.uploaded_date|timesince}} ago</td>
                    <td> <i class="fa fa-download"></i> </td>
                  </tr>  
                
                {% endfor %}  
              </tbody>  
            </table>  
          </div>  
        </div>  

      </div>
      <div class="tab-pane fade" id="tag-tab-pane" role="tabpanel" aria-labelledby="tag-tab" tabindex="0">...</div>
      <div class="tab-pane fade" id="sense-making-tab-pane" role="tabpanel" aria-labelledby="sense-making-tab" tabindex="0">...</div>
      <div class="tab-pane fade" id="settings-tab-pane" role="tabpanel" aria-labelledby="settings-tab" tabindex="0">...</div>
    </div>
    

{% endblock content %}


{% block javascript %}
    <script src="https://unpkg.com/dropzone@6.0.0-beta.1/dist/dropzone-min.js"></script>


    <script>
        Dropzone.autoDiscover=false;
        const myDropzone= new Dropzone('#my-dropzone',{
            url:"{% url 'media_upload' project_id=project.uuid %}",
            maxFiles:5,
            maxFilesize:500,
            acceptedFiles:'audio/*, video/*',
        })
        
    </script>
    


{% endblock javascript %}